## cmtk 3.3.1p1+dfsg

=== CMakeLists.txt ===
##
##  Copyright 1997-2010 Torsten Rohlfing
##
##  Copyright 2004-2014 SRI International
##
##  Copyright 2015, 2016 Google, Inc.
##
##  This file is part of the Computational Morphometry Toolkit.
##
##  http://www.nitrc.org/projects/cmtk/
##
##  The Computational Morphometry Toolkit is free software: you can
##  redistribute it and/or modify it under the terms of the GNU General Public
##  License as published by the Free Software Foundation, either version 3 of
##  the License, or (at your option) any later version.
##
##  The Computational Morphometry Toolkit is distributed in the hope that it
##  will be useful, but WITHOUT ANY WARRANTY; without even the implied
##  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License along
##  with the Computational Morphometry Toolkit.  If not, see
##  <http://www.gnu.org/licenses/>.
##
##  $Revision: 5441 $
##
##  $LastChangedDate: 2019-01-24 20:23:24 -0800 (Thu, 24 Jan 2019) $
##
##  $LastChangedBy: torstenrohlfing $
##

##
## This file used to borrow heavily from the analogous InsightToolkit file.
## It may have evolved away since then, however.
##

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0)
SET(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required

IF(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW) ## libraries with full paths vs. search paths
ENDIF(COMMAND cmake_policy)
SET(CMAKE_OVERRIDE_COMPILER_MISMATCH 1)

PROJECT(CMTK)
SET(CMTK_VERSION_MAJOR "3")
SET(CMTK_VERSION_MINOR "3")
SET(CMTK_VERSION_PATCH "1p1")

SET(CMTK_VERSION_STRING "${CMTK_VERSION_MAJOR}.${CMTK_VERSION_MINOR}.${CMTK_VERSION_PATCH}")

#-----------------------------------------------------------------------------
# Test for some required system information.
INCLUDE (${CMAKE_ROOT}/Modules/CMakeDetermineSystem.cmake)
INCLUDE (${CMAKE_ROOT}/Modules/CMakeBackwardCompatibilityC.cmake)
INCLUDE (${CMAKE_ROOT}/Modules/CMakeBackwardCompatibilityCXX.cmake)

#-----------------------------------------------------------------------------
# On Mac, if we have MacPorts installed, we need to look for libraries in 
# /opt/local.

MESSAGE(STATUS "System is " ${CMAKE_SYSTEM})
IF(CMAKE_SYSTEM MATCHES "Darwin.*")
  IF(EXISTS /opt/local)
    OPTION(CMTK_USE_MACPORTS "Build CMTK with libraries from MacPorts." OFF)
    IF(CMTK_USE_MACPORTS)
      LIST(INSERT CMAKE_PREFIX_PATH 0 "/opt/local")
    ENDIF(CMTK_USE_MACPORTS)
  ENDIF(EXISTS /opt/local)
ENDIF(CMAKE_SYSTEM MATCHES "Darwin.*")

#-----------------------------------------------------------------------------
# Output directories.
IF(NOT LIBRARY_OUTPUT_PATH)
  SET (LIBRARY_OUTPUT_PATH ${CMTK_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all libraries.")
ENDIF(NOT LIBRARY_OUTPUT_PATH)
IF(NOT EXECUTABLE_OUTPUT_PATH)
  SET (EXECUTABLE_OUTPUT_PATH ${CMTK_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
ENDIF(NOT EXECUTABLE_OUTPUT_PATH)
MARK_AS_ADVANCED(LIBRARY_OUTPUT_PATH EXECUTABLE_OUTPUT_PATH)
IF(NOT CMTK_BUILD_LIB_DIR) # variable used for generating CMTKConfig.cmake for the build tree
  SET(CMTK_BUILD_LIB_DIR "/bin")
ENDIF(NOT CMTK_BUILD_LIB_DIR)

SET(CMTK_LIBRARY_PATH "${LIBRARY_OUTPUT_PATH}")
SET(CMTK_EXECUTABLE_PATH "${EXECUTABLE_OUTPUT_PATH}")
SET(CXX_TEST_PATH ${EXECUTABLE_OUTPUT_PATH})

# set CMTK_DIR so it can be used by subprojects
SET(CMTK_DIR "${CMAKE_BINARY_DIR}" CACHE INTERNAL "CMTK dir to be used by subprojects")

#-----------------------------------------------------------------------------
# Setup install target directories
IF(NOT CMTK_INSTALL_BIN_DIR)
  SET(CMTK_INSTALL_BIN_DIR bin CACHE PATH "Binary files will be installed here")
ENDIF(NOT CMTK_INSTALL_BIN_DIR)

IF(NOT CMTK_INSTALL_LIB_DIR)
  # 64 bit libraries are not installed in the same directories on solaris
  # Ref: http://docs.sun.com/app/docs/doc/816-5138/6mba6ua5m?a=view
  SET(sun64 )
  IF(CMAKE_SYSTEM MATCHES "SunOS.*" AND CMAKE_SIZEOF_VOID_P EQUAL 8)
    EXEC_PROGRAM("uname"
      ARGS "-p"
      OUTPUT_VARIABLE sunproc
    )
    IF("${sunproc}" STREQUAL "sparc")
      SET(sun64 "/sparcv9")
    ENDIF("${sunproc}" STREQUAL "sparc")

    IF("${sunproc}" STREQUAL "i386")
      SET(sun64 "/amd64")
    ENDIF("${sunproc}" STREQUAL "i386")

    IF("${sun64}" STREQUAL "")
      # sun64 is not set - solaris has been ported to a new architecture?
      MESSAGE("Warning: Unknown processor '${sunproc}'. The libraries may not be installed in the right place.")
    ENDIF("${sun64}" STREQUAL "")
  ENDIF(CMAKE_SYSTEM MATCHES "SunOS.*" AND CMAKE_SIZEOF_VOID_P EQUAL 8)

  SET(CMTK_INSTALL_LIB_DIR "lib${sun64}/cmtk" CACHE PATH "Library files will be installed here")
ENDIF(NOT CMTK_INSTALL_LIB_DIR)

IF(NOT CMTK_INSTALL_DATA_DIR)
  SET(CMTK_INSTALL_DATA_DIR "share/cmtk" CACHE PATH "Data files will be installed here")
ENDIF(NOT CMTK_INSTALL_DATA_DIR)

IF(NOT CMTK_INSTALL_INCLUDE_DIR)
  SET(CMTK_INSTALL_INCLUDE_DIR "include/cmtk" CACHE PATH "Include files will be installed here")
ENDIF(NOT CMTK_INSTALL_INCLUDE_DIR)

#-----------------------------------------------------------------------------
# Check for system headers.
INCLUDE (CheckIncludeFiles)
CHECK_INCLUDE_FILES (dirent.h HAVE_DIRENT_H)
CHECK_INCLUDE_FILES (execinfo.h HAVE_EXECINFO_H)
CHECK_INCLUDE_FILES (fcntl.h HAVE_FCNTL_H)
CHECK_INCLUDE_FILES (ieeefp.h HAVE_IEEEFP_H)
CHECK_INCLUDE_FILES (inttypes.h HAVE_INTTYPES_H)
CHECK_INCLUDE_FILES (malloc.h HAVE_MALLOC_H)
CHECK_INCLUDE_FILES (pthread.h HAVE_PTHREAD_H)
CHECK_INCLUDE_FILES (stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILES (termios.h HAVE_TERMIOS_H)
CHECK_INCLUDE_FILES (unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILES (values.h HAVE_VALUES_H)

CHECK_INCLUDE_FILES (sys/ioctl.h HAVE_SYS_IOCTL_H)
CHECK_INCLUDE_FILES (sys/procfs.h HAVE_SYS_PROCFS_H)
CHECK_INCLUDE_FILES (sys/stat.h HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILES (sys/time.h HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES (sys/times.h HAVE_SYS_TIMES_H)
CHECK_INCLUDE_FILES (sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES (sys/utsname.h HAVE_SYS_UTSNAME_H)

IF(HAVE_SYS_STAT_H)
  SET(CMAKE_EXTRA_INCLUDE_FILES sys/stat.h)
ENDIF(HAVE_SYS_STAT_H)
CHECK_TYPE_SIZE("((struct stat*)0)->st_mode" SIZEOF_ST_SIZE)
IF(SIZEOF_ST_SIZE EQUAL 4)
  CHECK_TYPE_SIZE("struct stat64" CMTK_USE_STAT64)
ENDIF(SIZEOF_ST_SIZE EQUAL 4)
SET(CMAKE_EXTRA_INCLUDE_FILES)

INCLUDE(TestBigEndian)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

#-----------------------------------------------------------------------------
# Test NaN high bit
INCLUDE(${CMAKE_CURRENT_SOURCE_DIR}/CMake/TestQnanhibit.cmake)
TEST_QNANHIBIT(QNANHIBIT_VALUE ${CMAKE_CURRENT_SOURCE_DIR}/CMake)
IF(QNANHIBIT_VALUE)
  SET(QNANHIBIT 1 CACHE INTERNAL "The 22nd bit of 32-bit floating-point quiet NaN.")
ELSE(QNANHIBIT_VALUE)
  SET(QNANHIBIT 0 CACHE INTERNAL "The 22nd bit of 32-bit floating-point quiet NaN.")
ENDIF(QNANHIBIT_VALUE)

#-----------------------------------------------------------------------------
# Check for at least one of the typical STL hash map implementations

INCLUDE (CheckIncludeFileCXX)
CHECK_INCLUDE_FILE_CXX(unordered_map HAVE_UNORDERED_MAP)
IF(NOT HAVE_UNORDERED_MAP)
  CHECK_INCLUDE_FILE_CXX(hash_map HAVE_HASH_MAP)
  IF(NOT HAVE_HASH_MAP)
    CHECK_INCLUDE_FILE_CXX(hash_map.h HAVE_HASH_MAP_H)
  ENDIF(NOT HAVE_HASH_MAP)
ENDIF(NOT HAVE_UNORDERED_MAP)

# set a single flag is we have ANY hash map implementation in STL
SET(HAVE_STL_HASH_MAP ${HAVE_UNORDERED_MAP}${HAVE_HASH_MAP}${HAVE_HASH_MAP_H} CACHE INTERNAL "Flag for presence of ANY hash map implementation in the C++ STL")

#-----------------------------------------------------------------------------
# build configuration options.
OPTION(BUILD_SHARED_LIBS "Build CMTK with shared libraries." OFF)
SET(CMTK_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})

OPTION(CMTK_BUILD_WRAPPER "Build 'cmtk' wrapper script and install all actual executables in a private directory to avoid name collisions" ON)
MARK_AS_ADVANCED(CMTK_BUILD_WRAPPER)

OPTION(CMTK_BUILD_UNSTABLE "Build 'unstable' library and tools" OFF)
MARK_AS_ADVANCED(CMTK_BUILD_UNSTABLE)

OPTION(CMTK_BUILD_STACKTRACE "Build tools with stack trace printing in case of crash (increases build time)" ON)
MARK_AS_ADVANCED(CMTK_BUILD_STACKTRACE)

OPTION(CMTK_BUILD_DEMO "Build demonstration code. Strange things will happen if you turn this on." OFF)
MARK_AS_ADVANCED(CMTK_BUILD_DEMO)
IF(CMTK_BUILD_DEMO)
  MESSAGE( WARNING "Demo mode is enabled. Make sure not to use this build for production use!")
ENDIF(CMTK_BUILD_DEMO)

#-----------------------------------------------------------------------------
# Add an option to use or not to use SMP multi-core parallelism

OPTION(CMTK_USE_SMP "Enable shared-memory parallelism (requires at least POSIX Threads, OpenMP, or Windows threads)" ON)

#-----------------------------------------------------------------------------
# Add an option to enable or disable POSIX threads if pthread.h header exists

IF(HAVE_PTHREAD_H)
  OPTION(CMTK_USE_PTHREADS "Use POSIX Threads for SMP parallelism" ON)
  MARK_AS_ADVANCED(CMTK_USE_PTHREADS)

  IF(NOT CMTK_USE_SMP)
    SET(CMTK_USE_PTHREADS OFF)
  ENDIF(NOT CMTK_USE_SMP)
ENDIF(HAVE_PTHREAD_H)

#-----------------------------------------------------------------------------
# for the gnu compiler a -D_PTHREADS is needed on sun
# for the native compiler a -mt flag is needed on the sun
IF(CMTK_USE_PTHREADS)

  IF(${CMAKE_SYSTEM} MATCHES "SunOS.*")
    IF(CMAKE_COMPILER_IS_GNUCXX)
      SET(CMTK_REQUIRED_CXX_FLAGS "${CMTK_REQUIRED_CXX_FLAGS} -D_PTHREADS")
    ELSE(CMAKE_COMPILER_IS_GNUCXX)
      SET(CMTK_REQUIRED_CXX_FLAGS "${CMTK_REQUIRED_CXX_FLAGS} -mt")
      SET(CMTK_REQUIRED_C_FLAGS "${CMTK_REQUIRED_C_FLAGS} -mt")
    ENDIF(CMAKE_COMPILER_IS_GNUCXX)
  ENDIF(${CMAKE_SYSTEM} MATCHES "SunOS.*")
ENDIF(CMTK_USE_PTHREADS)

# mingw thread support
IF(MINGW)
  SET(CMTK_REQUIRED_CXX_FLAGS "${CMTK_REQUIRED_CXX_FLAGS} -mthreads")
  SET(CMTK_REQUIRED_C_FLAGS "${CMTK_REQUIRED_C_FLAGS} -mthreads")
  SET(CMTK_REQUIRED_LINK_FLAGS "${CMTK_REQUIRED_LINK_FLAGS} -mthreads")
ENDIF(MINGW)

#-----------------------------------------------------------------------------
# Check for, and configure, OpenMP

IF(NOT DEFINED CMTK_USE_OPENMP)
  FIND_PACKAGE(OpenMP)
  IF(OPENMP_FOUND)
    OPTION(CMTK_USE_OPENMP "Use OpenMP for SMP parallelism" ON)
    MARK_AS_ADVANCED(CMTK_USE_OPENMP)
    
    IF(NOT CMTK_USE_SMP)
      SET(CMTK_USE_OPENMP OFF)
    ENDIF(NOT CMTK_USE_SMP)
  ENDIF(OPENMP_FOUND)
ENDIF(NOT DEFINED CMTK_USE_OPENMP)

IF(CMTK_USE_OPENMP)
  SET(CMTK_REQUIRED_CXX_FLAGS "${CMTK_REQUIRED_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
  SET(CMTK_REQUIRED_LINK_FLAGS "${CMTK_REQUIRED_LINK_FLAGS} ${OpenMP_C_FLAGS}")
ENDIF(CMTK_USE_OPENMP)

#-----------------------------------------------------------------------------
# Check for, and configure, Grand Central Dispatch

CHECK_INCLUDE_FILES(dispatch/dispatch.h HAVE_DISPATCH_H)
IF(HAVE_DISPATCH_H)
  OPTION(CMTK_USE_GCD "Use Grand Central Dispatch for SMP parallelism with system-level load balancing" ON)
  
  IF(NOT CMTK_USE_SMP)
    SET(CMTK_USE_GCD OFF)
  ENDIF(NOT CMTK_USE_SMP)
  
  IF(CMTK_USE_GCD)
  ENDIF(CMTK_USE_GCD)
ENDIF(HAVE_DISPATCH_H)

#-----------------------------------------------------------------------------
# Check for, and configure, CUDA

OPTION(CMTK_USE_CUDA "Use CUDA for GPU computing" OFF)

IF(CMTK_USE_CUDA)
  # check using cmake's own FindCUDA above v2.8 or use our own for earlier versions
  IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} STRLESS "2.8")
    MESSAGE("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} STRLESS 2.8")
    INCLUDE(${CMAKE_CURRENT_SOURCE_DIR}/CMake/FindCUDA.cmake)
  ELSE (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} STRLESS "2.8")
    FIND_PACKAGE(CUDA)
  ENDIF(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} STRLESS "2.8")
 
ENDIF(CMTK_USE_CUDA)

#-----------------------------------------------------------------------------

=== libs/CMakeLists.txt ===
##
##  Copyright 1997-2009 Torsten Rohlfing
##
##  Copyright 2004-2011 SRI International
##
##  This file is part of the Computational Morphometry Toolkit.
##
##  http://www.nitrc.org/projects/cmtk/
##
##  The Computational Morphometry Toolkit is free software: you can
##  redistribute it and/or modify it under the terms of the GNU General Public
##  License as published by the Free Software Foundation, either version 3 of
##  the License, or (at your option) any later version.
##
##  The Computational Morphometry Toolkit is distributed in the hope that it
##  will be useful, but WITHOUT ANY WARRANTY; without even the implied
##  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License along
##  with the Computational Morphometry Toolkit.  If not, see
##  <http://www.gnu.org/licenses/>.
##
##  $Revision: 3644 $
##
##  $LastChangedDate: 2011-12-22 09:23:24 -0800 (Thu, 22 Dec 2011) $
##
##  $LastChangedBy: torstenrohlfing $
##

SET(BUILD_LIBS_LIST System Numerics Base IO Registration Segmentation Recon)

IF(CMTK_USE_QT)
  SET(BUILD_LIBS_LIST ${BUILD_LIBS_LIST} Pipeline Qt)
ENDIF(CMTK_USE_QT)

IF(CMTK_USE_CUDA)
  SET(BUILD_LIBS_LIST ${BUILD_LIBS_LIST} GPU)
ENDIF(CMTK_USE_CUDA)

IF(CMTK_BUILD_UNSTABLE)
  SET(BUILD_LIBS_LIST ${BUILD_LIBS_LIST} Unstable)
ENDIF(CMTK_BUILD_UNSTABLE)

FOREACH(lib ${BUILD_LIBS_LIST})
  ADD_SUBDIRECTORY(${lib})
ENDFOREACH(lib ${BUILD_LIBS_LIST})

=== testing/CMakeLists.txt ===
##
##  Copyright 1997-2009 Torsten Rohlfing
##
##  Copyright 2004-2011 SRI International
##
##  This file is part of the Computational Morphometry Toolkit.
##
##  http://www.nitrc.org/projects/cmtk/
##
##  The Computational Morphometry Toolkit is free software: you can
##  redistribute it and/or modify it under the terms of the GNU General Public
##  License as published by the Free Software Foundation, either version 3 of
##  the License, or (at your option) any later version.
##
##  The Computational Morphometry Toolkit is distributed in the hope that it
##  will be useful, but WITHOUT ANY WARRANTY; without even the implied
##  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License along
##  with the Computational Morphometry Toolkit.  If not, see
##  <http://www.gnu.org/licenses/>.
##
##  $Revision: 3071 $
##
##  $LastChangedDate: 2011-03-28 22:23:36 -0700 (Mon, 28 Mar 2011) $
##
##  $LastChangedBy: torsten_at_home $
##

IF(BUILD_APPS)
  SUBDIRS(apps)
ENDIF(BUILD_APPS)
  
IF(BUILD_GUI)
  SUBDIRS(gui)	
ENDIF(BUILD_GUI)

SUBDIRS(libs)

=== Utilities/NrrdIO/CMakeLists.txt ===
# 
# NrrdIO: stand-alone code for basic nrrd functionality
# Copyright (C) 2011, 2010, 2009  University of Chicago
# Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
# Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
#
# This software is provided 'as-is', without any express or implied
# warranty.  In no event will the authors be held liable for any
# damages arising from the use of this software.
# 
# Permission is granted to anyone to use this software for any
# purpose, including commercial applications, and to alter it and
# redistribute it freely, subject to the following restrictions:
# 
# 1. The origin of this software must not be misrepresented; you must
#    not claim that you wrote the original software. If you use this
#    software in a product, an acknowledgment in the product
#    documentation would be appreciated but is not required.
#
#   2. Altered source versions must be plainly marked as such, and must
#    not be misrepresented as being the original software.
# 
# 3. This notice may not be removed or altered from any source distribution.
#

#
# Modified 23-Oct-2012 by Torsten Rohlfing for CMTK, 
# (C) 2012 SRI International
#

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
PROJECT(NrrdIO)
INCLUDE_REGULAR_EXPRESSION("^.*.h$")

#
# This CMake file configures the NrrdIO library build.  NrrdIO
# is used by Insight/Code/IO/itkNrrdIO for reading/writing 
# "Nearly Raw Raster Data" within the open-source Teem software 
# package. See http://teem.sourceforge.net for more information.
#

SET(nrrdio_SRCS comment.c enumsNrrd.c mop.c string.c 754.c defaultsNrrd.c
parseAir.c dio.c format.c parseNrrd.c formatEPS.c encoding.c
formatNRRD.c encodingAscii.c formatPNG.c encodingBzip2.c
formatPNM.c accessors.c encodingGzip.c formatText.c 
array.c encodingHex.c formatVTK.c read.c arraysNrrd.c encodingRaw.c 
gzio.c reorder.c write.c axis.c endianAir.c  keyvalue.c
biffbiff.c biffmsg.c endianNrrd.c methodsNrrd.c  sane.c enum.c
miscAir.c simple.c )

# Turn on TEEM_BUILD so that the proper dll export def's are 
# used on windows builds.
ADD_DEFINITIONS(-DTEEM_BUILD=1)

# Configure files with settings for use by the build.
CONFIGURE_FILE(${NrrdIO_SOURCE_DIR}/NrrdConfigure.h.in ${NrrdIO_BINARY_DIR}/NrrdConfigure.h)

# Need to be able to find NrrdConfig.h
INCLUDE_DIRECTORIES(${NrrdIO_BINARY_DIR})

#The QNANHIBIT variable is configured by the root level CMakeLists.txt
IF(QNANHIBIT)
  ADD_DEFINITIONS(-DTEEM_QNANHIBIT=1)
ELSE(QNANHIBIT)
  ADD_DEFINITIONS(-DTEEM_QNANHIBIT=0)
ENDIF(QNANHIBIT)

#DirectIO is the fast way to do multi-gigabyte I/O and currently only available
#for SGI platforms.  Use of DirectIO is enabled manually for now.
#OPTION(USE_DIRECTIO "Use DirectIO for Nrrd file IO.  Only valid on SGI systems." 0)
#MARK_AS_ADVANCED(USE_DIRECTIO)
#IF(USE_DIRECTIO)
#  ADD_DEFINITIONS(-DTEEM_DIO=1)
#ELSE(USE_DIRECTIO)
  ADD_DEFINITIONS(-DTEEM_DIO=0)
#ENDIF(USE_DIRECTIO)

# Possibly turn on usage of zlib compression (requires linking with libz)
# (i.e., programs compiled with ITKNrrdIO must also be compiled with zlib)
ADD_DEFINITIONS(-DTEEM_ZLIB=1)

##
## CMTK-speficic add-ons
##

INCLUDE_DIRECTORIES(BEFORE
  ${ZCONF_INCLUDE_DIR}
  ${ZLIB_INCLUDE_DIR})

ADD_LIBRARY(NrrdIO ${nrrdio_SRCS} )
TARGET_LINK_LIBRARIES(NrrdIO ${ZLIB_LIBRARIES})

INSTALL(TARGETS NrrdIO
  RUNTIME DESTINATION ${CMTK_INSTALL_BIN_DIR} COMPONENT runtime
  LIBRARY DESTINATION ${CMTK_INSTALL_LIB_DIR} COMPONENT runtime
  ARCHIVE DESTINATION ${CMTK_INSTALL_LIB_DIR} COMPONENT libraries)

FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
INSTALL(FILES ${files} DESTINATION ${CMTK_INSTALL_INCLUDE_DIR} COMPONENT headers)

=== libs/Registration/CMakeLists.txt ===
##
##  Copyright 1997-2009 Torsten Rohlfing
##
##  Copyright 2004-2011 SRI International
##
##  This file is part of the Computational Morphometry Toolkit.
##
##  http://www.nitrc.org/projects/cmtk/
##
##  The Computational Morphometry Toolkit is free software: you can
##  redistribute it and/or modify it under the terms of the GNU General Public
##  License as published by the Free Software Foundation, either version 3 of
##  the License, or (at your option) any later version.
##
##  The Computational Morphometry Toolkit is distributed in the hope that it
##  will be useful, but WITHOUT ANY WARRANTY; without even the implied
##  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License along
##  with the Computational Morphometry Toolkit.  If not, see
##  <http://www.gnu.org/licenses/>.
##
##  $Revision: 4409 $
##
##  $LastChangedDate: 2012-06-01 15:12:13 -0700 (Fri, 01 Jun 2012) $
##
##  $LastChangedBy: torstenrohlfing $
##

# Sources of non-templated classes.
SET(cmtkRegistration_SRCS
  cmtkAffineRegistrationCommandLine.cxx
  cmtkAffineRegistration.cxx
  cmtkBestDirectionOptimizer.cxx
  cmtkBestNeighbourOptimizer.cxx
  cmtkCongealingFunctional.cxx
  cmtkEchoPlanarUnwarpFunctional.cxx
  cmtkElasticRegistrationCommandLine.cxx
  cmtkElasticRegistration.cxx
  cmtkGroupwiseRegistrationFunctionalAffineInitializer.cxx
  cmtkGroupwiseRegistrationFunctionalBase.cxx
  cmtkGroupwiseRegistrationFunctionalXformTemplate.cxx
  cmtkGroupwiseRegistrationFunctionalXformTemplate_Affine_IO.cxx
  cmtkGroupwiseRegistrationFunctionalXformTemplate_SplineWarp.cxx
  cmtkGroupwiseRegistrationFunctionalXformTemplate_SplineWarp_IO.cxx
  cmtkGroupwiseRegistrationFunctionalXformTemplateBase.cxx
  cmtkGroupwiseRegistrationOutput.cxx
  cmtkGroupwiseRegistrationRMIFunctional.cxx
  cmtkHausdorffDistance.cxx
  cmtkImagePairRegistration.cxx
  cmtkImagePairRegistrationFunctional.cxx
  cmtkImagePairRegistrationImagePreprocessor.cxx
  cmtkImagePairAffineRegistration.cxx
  cmtkImagePairAffineRegistrationCommandLine.cxx
  cmtkImagePairAffineRegistrationFunctional.cxx
  cmtkImagePairNonrigidRegistration.cxx
  cmtkImagePairNonrigidRegistrationCommandLine.cxx
  cmtkImagePairNonrigidRegistrationFunctional.cxx
  cmtkImagePairSimilarityJointHistogram.cxx
  cmtkImagePairSimilarityMeasure.cxx
  cmtkImagePairSimilarityMeasureCR.cxx
  cmtkImagePairSimilarityMeasureMSD.cxx
  cmtkImagePairSimilarityMeasureNCC.cxx
  cmtkImagePairSimilarityMeasureRMS.cxx
  cmtkImagePairSymmetricAffineRegistrationFunctional.cxx
  cmtkImagePairSymmetricNonrigidRegistrationFunctional.cxx
  cmtkImageSymmetryPlaneCommandLineBase.cxx
  cmtkImageSymmetryPlaneFunctional.cxx
  cmtkImageSymmetryPlaneFunctionalBase.cxx
  cmtkMakeInitialAffineTransformation.cxx
  cmtkMultiChannelRegistrationFunctionalBase.cxx
  cmtkProtocolCallback.cxx
  cmtkReformatVolume.cxx
  cmtkRegistrationCallback.cxx
  cmtkRegistrationJointHistogram.cxx
  cmtkSplineWarpCongealingFunctional.cxx
  cmtkSplineWarpCongealingFunctionalStaticThreadStorage.cxx
  cmtkSplineWarpGroupwiseRegistrationRMIFunctional.cxx
  cmtkSymmetricElasticFunctional.cxx
  cmtkSymmetryPlaneFunctional.cxx
  cmtkTypedArraySimilarity.cxx
  cmtkTypedArraySimilarityMemory.cxx
  cmtkTypedArraySimilarityRMI.cxx
  cmtkVoxelMatchingAffineFunctional.cxx
  cmtkVoxelMatchingCorrRatio.cxx
  cmtkVoxelMatchingCrossCorrelation.cxx
  cmtkVoxelMatchingElasticFunctional.cxx
  cmtkVoxelMatchingFunctional.cxx
  cmtkVoxelMatchingMeanSquaredDifference.cxx
  cmtkVoxelMatchingMetric.cxx
  cmtkVoxelMatchingMetric_Type.cxx
  cmtkVoxelRegistration.cxx
  cmtkVoxelRegistrationImagePreprocessor.cxx
)

IF(CMTK_USE_SQLITE)
  SET(cmtkRegistration_SRCS ${cmtkRegistration_SRCS}
    cmtkImageXformDB.cxx)
ENDIF(CMTK_USE_SQLITE)

ADD_LIBRARY(cmtkRegistration ${cmtkRegistration_SRCS})

TARGET_LINK_LIBRARIES(cmtkRegistration cmtkIO cmtkBase cmtkSystem cmtkNumerics )

IF(CMTK_LIBRARY_PROPERTIES)
  SET_TARGET_PROPERTIES(cmtkRegistration PROPERTIES ${CMTK_LIBRARY_PROPERTIES})
ENDIF(CMTK_LIBRARY_PROPERTIES)

INSTALL(TARGETS cmtkRegistration
  RUNTIME DESTINATION ${CMTK_INSTALL_BIN_DIR} COMPONENT runtime
  LIBRARY DESTINATION ${CMTK_INSTALL_LIB_DIR} COMPONENT runtime
  ARCHIVE DESTINATION ${CMTK_INSTALL_LIB_DIR} COMPONENT libraries)

FILE(GLOB files_h "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
FILE(GLOB files_txx "${CMAKE_CURRENT_SOURCE_DIR}/*.txx")
INSTALL(FILES ${files_h} ${files_txx} DESTINATION ${CMTK_INSTALL_INCLUDE_DIR}/Registration COMPONENT headers)

=== testing/gui/CMakeLists.txt ===
##
##  Copyright 1997-2009 Torsten Rohlfing
##
##  Copyright 2004-2009, 2014 SRI International
##
##  This file is part of the Computational Morphometry Toolkit.
##
##  http://www.nitrc.org/projects/cmtk/
##
##  The Computational Morphometry Toolkit is free software: you can
##  redistribute it and/or modify it under the terms of the GNU General Public
##  License as published by the Free Software Foundation, either version 3 of
##  the License, or (at your option) any later version.
##
##  The Computational Morphometry Toolkit is distributed in the hope that it
##  will be useful, but WITHOUT ANY WARRANTY; without even the implied
##  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License along
##  with the Computational Morphometry Toolkit.  If not, see
##  <http://www.gnu.org/licenses/>.
##
##  $Revision: 5261 $
##
##  $LastChangedDate: 2014-03-28 09:19:19 -0700 (Fri, 28 Mar 2014) $
##
##  $LastChangedBy: torstenrohlfing $
##

# ==========================================
# Tests for "triplanar" gui application
# (batch mode)

SET(testDriver ${CMAKE_CURRENT_BINARY_DIR}/triplanarTestDriver.sh)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/triplanarTestDriver.sh.in ${CMAKE_CURRENT_BINARY_DIR}/triplanarTestDriver.sh @ONLY)

SET(testList triplanarDefault 
	     triplanarZoom300
	     triplanarZoom25
	     triplanarSetPixelWindowLevel 
	     triplanarColormaps
	     triplanarPhantomAx
	     triplanarPhantomSa
	     triplanarPhantomCo)

IF(IGS_BUILD_NRRD OR IGS_USE_TEEM)
	SET(testList ${testList}
		     triplanarPhantomAxNrrd
		     triplanarPhantomSaNrrd
		     triplanarPhantomCoNrrd)
ENDIF(IGS_BUILD_NRRD OR IGS_USE_TEEM)

# ==========================================
# Set up all tests

FOREACH(testName ${testList})
  IF(CMTK_TESTING_MEMORYCHECK)
    ADD_TEST(${testName} /bin/bash ${testDriver} ${testName} ${MEMORYCHECK_COMMAND})
  ELSE(CMTK_TESTING_MEMORYCHECK)
    ADD_TEST(${testName} /bin/bash ${testDriver} ${testName})
  ENDIF(CMTK_TESTING_MEMORYCHECK)      
ENDFOREACH(testName ${testList})

=== testing/libs/CMakeLists.txt ===
##
##  Copyright 1997-2009 Torsten Rohlfing
##
##  Copyright 2004-2010, 2013 SRI International
##
##  This file is part of the Computational Morphometry Toolkit.
##
##  http://www.nitrc.org/projects/cmtk/
##
##  The Computational Morphometry Toolkit is free software: you can
##  redistribute it and/or modify it under the terms of the GNU General Public
##  License as published by the Free Software Foundation, either version 3 of
##  the License, or (at your option) any later version.
##
##  The Computational Morphometry Toolkit is distributed in the hope that it
##  will be useful, but WITHOUT ANY WARRANTY; without even the implied
##  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License along
##  with the Computational Morphometry Toolkit.  If not, see
##  <http://www.gnu.org/licenses/>.
##
##  $Revision: 4802 $
##
##  $LastChangedDate: 2013-08-29 13:45:41 -0700 (Thu, 29 Aug 2013) $
##
##  $LastChangedBy: torstenrohlfing $
##

# ==========================================
# Delegate testing to separate subdirs for each library

SUBDIRS(System)
SUBDIRS(Registration)
SUBDIRS(IO)
SUBDIRS(Base)

IF(CMTK_USE_CUDA)
  SUBDIRS(GPU)
ENDIF(CMTK_USE_CUDA)

=== debian/changelog ===
cmtk (3.3.1p1+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:38 +0100

=== debian/control ===
Source: cmtk
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libmxml-dev,
               libsqlite3-dev,
               zlib1g-dev | libz-dev,
               libdcmtk-dev | libdcmtk2-dev | libdcmtk1-dev,
               libbz2-dev,
               libfftw3-dev,
               liblzma-dev,
               libpng-dev,
               libtiff-dev | libtiff4-dev,
               libwrap0-dev,
               libcharls-dev | libdcmtk1-dev,
               libxml2-dev,
               libssl-dev,
               xvfb,
               bc,
               dc,
               xauth
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/neurodebian-team/cmtk
Vcs-Git: https://salsa.debian.org/neurodebian-team/cmtk.git
Homepage: http://www.nitrc.org/projects/cmtk/

Package: cmtk
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: sri24-atlas
Suggests: numdiff
Description: Computational Morphometry Toolkit
 A software toolkit for computational morphometry of biomedical
 images, CMTK comprises a set of command line tools and a back-end
 general-purpose library for processing and I/O.
 .
 The command line tools primarily provide the following functionality:
 registration (affine and nonrigid; single and multi-channel; pairwise
 and groupwise), image correction (MR bias field estimation;
 interleaved image artifact correction), processing (filters;
 combination of segmentations via voting and STAPLE; shape-based
 averaging), statistics (t-tests; general linear regression).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DISTDIR=$(CURDIR)/debian/cmtk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

# custom option tests to provide build for validating unittests
ifneq (,$(findstring docheck,$(DEB_BUILD_OPTIONS)))
	TESTING=ON
	DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_HOST_ARCH),i386)
	TFLAGS=-march=pentium4
    TFLAGS+=-mmmx -msse -msse2 -mfpmath=sse
 endif
 ifeq ($(DEB_HOST_ARCH),amd64)
	TFLAGS=-march=nocona
    TFLAGS+=-mmmx -msse -msse2 -mfpmath=sse
 endif
	OPT_CMAKE_FLAGS=-DCMAKE_C_FLAGS:STRING="$(TFLAGS)" \
					-DCMAKE_ANSI_CXXFLAGS:STRING="$(TFLAGS)" \
                    -DCMTK_DATA_ROOT:PATH=/home/yoh/deb/gits/pkg-exppsy/cmtk.gitsvn/data
else
	TESTING=OFF
	export DEB_BUILD_OPTIONS += " nocheck"
endif

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
		-DBUILD_APPS:BOOL=ON \
		-DBUILD_DOCUMENTATION:BOOL=OFF \
		-DBUILD_GUI:BOOL=OFF \
		-DBUILD_SHARED_LIBS:BOOL=ON \
		-DBUILD_TESTING:BOOL=$(TESTING) \
		-DCMTK_BUILD_DCMTK:BOOL=OFF \
		-DCMTK_BUILD_MXML:BOOL=OFF \
		-DCMTK_BUILD_NRRD:BOOL=ON \
		-DCMTK_BUILD_SQLITE:BOOL=OFF \
		-DCMTK_BUILD_ZLIB:BOOL=OFF \
		-DCMTK_ROOT_PATH_SRI24:PATH=/usr/share/data/sri24-atlas \
		-DCMTK_USE_DCMTK:BOOL=ON \
		-DCMTK_USE_FFTW:BOOL=ON \
		-DCMTK_USE_QT:BOOL=OFF \
		-DCMTK_USE_SMP:BOOL=ON \
		-DCMTK_USE_SQLITE:BOOL=ON \
		-DDART_TESTING_TIMEOUT:STRING=15000 \
		-DMXML_INCLUDE_DIR:PATH=/usr/include \
		-DLZMA_INCLUDE_DIRS:PATH=/usr/include/lzma \
		-DCMAKE_SKIP_RPATH:BOOL=OFF \
		-DCMTK_BUILD_WRAPPER:BOOL=ON \
		$(OPT_CMAKE_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ARGS=--verbose xvfb-run --auto-servernum --server-num=20 \
		dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install

	: # Remove not needed headers, cmake files etc
	rm -fr $(DISTDIR)/usr/include
	-/usr/bin/find $(DISTDIR) -iname *.cmake -delete

	: # Prune duplicate docs
	rm -fr $(DISTDIR)/usr/share/cmtk/doc

	: # Generate manpages
	xvfb-run --auto-servernum --server-num=20 \
		scripts/gen_manpages \
	|| dpkg -l xvfb | awk '/xvfb/{print $3;}' | grep -q ubuntu
	: # Above condition just to ignore unclean exit from xvfb on elderly broken ubuntus
	: # Cleaner solution patches are welcome!

override_dh_installman:
	dh_installman debian/manpages/*

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/manpages

## cmtk 3.3.1p2%2Bdfsg

=== libs/Recon/CMakeLists.txt ===
##
##  Copyright 1997-2009 Torsten Rohlfing
##
##  Copyright 2004-2010 SRI International
##
##  This file is part of the Computational Morphometry Toolkit.
##
##  http://www.nitrc.org/projects/cmtk/
##
##  The Computational Morphometry Toolkit is free software: you can
##  redistribute it and/or modify it under the terms of the GNU General Public
##  License as published by the Free Software Foundation, either version 3 of
##  the License, or (at your option) any later version.
##
##  The Computational Morphometry Toolkit is distributed in the hope that it
##  will be useful, but WITHOUT ANY WARRANTY; without even the implied
##  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License along
##  with the Computational Morphometry Toolkit.  If not, see
##  <http://www.gnu.org/licenses/>.
##
##  $Revision: 3161 $
##
##  $LastChangedDate: 2011-04-18 14:37:45 -0700 (Mon, 18 Apr 2011) $
##
##  $LastChangedBy: torstenrohlfing $
##

# Sources of non-templated classes.
SET(cmtkRecon_SRCS
  cmtkInverseInterpolationVolumeReconstructionBase.cxx
  cmtkVolumeInjectionReconstruction.cxx
)

ADD_LIBRARY(cmtkRecon ${cmtkRecon_SRCS})

TARGET_LINK_LIBRARIES(cmtkRecon cmtkRegistration cmtkBase cmtkSystem cmtkNumerics )

IF(CMTK_LIBRARY_PROPERTIES)
  SET_TARGET_PROPERTIES(cmtkRecon PROPERTIES ${CMTK_LIBRARY_PROPERTIES})
ENDIF(CMTK_LIBRARY_PROPERTIES)

INSTALL(TARGETS cmtkRecon
  RUNTIME DESTINATION ${CMTK_INSTALL_BIN_DIR} COMPONENT runtime
  LIBRARY DESTINATION ${CMTK_INSTALL_LIB_DIR} COMPONENT runtime
  ARCHIVE DESTINATION ${CMTK_INSTALL_LIB_DIR} COMPONENT libraries)

FILE(GLOB files_h "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
FILE(GLOB files_txx "${CMAKE_CURRENT_SOURCE_DIR}/*.txx")
INSTALL(FILES ${files_h} ${files_txx} DESTINATION ${CMTK_INSTALL_INCLUDE_DIR}/Recon COMPONENT headers)

=== testing/libs/Registration/CMakeLists.txt ===
##
##  Copyright 2004-2012 SRI International
##
##  Copyright 1997-2009 Torsten Rohlfing
##
##  This file is part of the Computational Morphometry Toolkit.
##
##  http://www.nitrc.org/projects/cmtk/
##
##  The Computational Morphometry Toolkit is free software: you can
##  redistribute it and/or modify it under the terms of the GNU General Public
##  License as published by the Free Software Foundation, either version 3 of
##  the License, or (at your option) any later version.
##
##  The Computational Morphometry Toolkit is distributed in the hope that it
##  will be useful, but WITHOUT ANY WARRANTY; without even the implied
##  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License along
##  with the Computational Morphometry Toolkit.  If not, see
##  <http://www.gnu.org/licenses/>.
##
##  $Revision: 4367 $
##
##  $LastChangedDate: 2012-05-29 16:54:19 -0700 (Tue, 29 May 2012) $
##
##  $LastChangedBy: torstenrohlfing $
##

# ==========================================
# Setup binary test drivers

SET(CMTK_LIBRARIES "cmtkRegistration;cmtkIO;cmtkBase;cmtkNumerics;cmtkSystem")

SET(DRIVERS libRegistrationTests)
IF(CMTK_USE_SQLITE)
  SET(DRIVERS ${DRIVERS} libRegistrationTestsSQLite)
ENDIF(CMTK_USE_SQLITE)

FOREACH(D ${DRIVERS})
  ADD_EXECUTABLE(${D} ${D}.cxx)
  TARGET_LINK_LIBRARIES(${D} ${CMTK_LIBRARIES} ${CMTK_SYSTEM_LIBRARIES})
ENDFOREACH(D ${DRIVERS})

# ==========================================
# Tests for "cmtk::TypedArraySimilarity" class
SET(Tests ${Tests} TypedArraySimilarity)

FOREACH(T ${Tests})
  ADD_TEST(${T} ${EXECUTABLE_OUTPUT_PATH}/libRegistrationTests ${T})
ENDFOREACH(T ${Tests})

# ==========================================
# Tests for "cmtk::XformImageDB" class
IF(CMTK_USE_SQLITE)
  SET(Tests
    ImageXformDBCreate 
    ImageXformDBAddImage
    ImageXformDBAddImageRepeat
    ImageXformDBAddImagePair
    ImageXformDBAddImageThenXform
    ImageXformDBAddImageWithXform
    ImageXformDBAddXformSameSpace
    ImageXformDBAddXformRefined
    ImageXformDBFindXform
    ImageXformDBFindXformSameSpace
    ImageXformDBFindXformInverse
    ImageXformDBFindXformNone
    ImageXformDBFindXformMultiple
    ImageXformDBFindXformLevels
    ImageXformDBFindXformLevelsInverse
    )
  
  FOREACH(T ${Tests})
    ADD_TEST(${T} ${EXECUTABLE_OUTPUT_PATH}/libRegistrationTestsSQLite ${T})
  ENDFOREACH(T ${Tests})
ENDIF(CMTK_USE_SQLITE)

=== debian/changelog ===
cmtk (3.3.1p2+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild against libdcmtk16

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 02:54:07 +0000

cmtk (3.3.1p2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #984019
  * Move packaging to Debian Med team
  * Remove debian/gbp.conf
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use ?= for assignments to architecture variables.

 -- Andreas Tille <tille@debian.org>  Fri, 12 Nov 2021 14:36:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: cmtk
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libmxml-dev,
                libsqlite3-dev,
@@ -23,10 +24,11 @@
                bc,
                dc,
                xauth
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/neurodebian-team/cmtk
-Vcs-Git: https://salsa.debian.org/neurodebian-team/cmtk.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/cmtk
+Vcs-Git: https://salsa.debian.org/med-team/cmtk.git
 Homepage: http://www.nitrc.org/projects/cmtk/
+Rules-Requires-Root: no
 
 Package: cmtk
 Architecture: any
